Autor Téma: Wine nejde instalovat  (Přečteno 3025 krát)

fantomorous

  • Full Member
  • ***
  • Příspěvků: 202
  • Karma: +4/-0
    • Zobrazit profil
    • digitemp
Wine nejde instalovat
« kdy: Listopad 11, 2011, 10:55:04 »
Asi pro Peťoše. Potřeboval jsem instalovat wine, vybral jsem si ten z tvého repa 1.3.25.Instalace selhala.Nyní nelze instalovat žádný. Nevíš co je zle. Systém mám aktuální, nově instalovaný.
NtB:Lenovo ThinkPad Edge E530 3259-AMG, Mageia 6, 64 bit, KDE Plasma,
Desktop: DualCore E8400 3GHz, 4GB RAM, GK Nvidia GF 8500GT 256MB 128bit, Mageia 6, 64 bit, KDE Plasma

Peťoš

  • Administrator
  • Hero Member
  • *****
  • Příspěvků: 916
  • Karma: +17/-2
    • Zobrazit profil
    • Peťošův blog
Re:Wine nejde instalovat
« Odpověď #1 kdy: Listopad 11, 2011, 11:04:02 »
Mas 32 nebo 64bit?
Do it or do not. There is no "try".
Nutné čtení pro všehny! Jak se ptát na fóru: http://wiki.mageia.cz/wiki:jak_se_ptat_na_foru

fantomorous

  • Full Member
  • ***
  • Příspěvků: 202
  • Karma: +4/-0
    • Zobrazit profil
    • digitemp
Re:Wine nejde instalovat
« Odpověď #2 kdy: Listopad 11, 2011, 11:05:19 »
32, viz podpis
NtB:Lenovo ThinkPad Edge E530 3259-AMG, Mageia 6, 64 bit, KDE Plasma,
Desktop: DualCore E8400 3GHz, 4GB RAM, GK Nvidia GF 8500GT 256MB 128bit, Mageia 6, 64 bit, KDE Plasma

Peťoš

  • Administrator
  • Hero Member
  • *****
  • Příspěvků: 916
  • Karma: +17/-2
    • Zobrazit profil
    • Peťošův blog
Re:Wine nejde instalovat
« Odpověď #3 kdy: Listopad 11, 2011, 11:29:05 »
Melo by to byt opraveno.
Do it or do not. There is no "try".
Nutné čtení pro všehny! Jak se ptát na fóru: http://wiki.mageia.cz/wiki:jak_se_ptat_na_foru

fantomorous

  • Full Member
  • ***
  • Příspěvků: 202
  • Karma: +4/-0
    • Zobrazit profil
    • digitemp
Re:Wine nejde instalovat
« Odpověď #4 kdy: Listopad 11, 2011, 12:16:46 »
Tak bohužel, hlásí to stejnou chybu.
NtB:Lenovo ThinkPad Edge E530 3259-AMG, Mageia 6, 64 bit, KDE Plasma,
Desktop: DualCore E8400 3GHz, 4GB RAM, GK Nvidia GF 8500GT 256MB 128bit, Mageia 6, 64 bit, KDE Plasma

fantomorous

  • Full Member
  • ***
  • Příspěvků: 202
  • Karma: +4/-0
    • Zobrazit profil
    • digitemp
Re:Wine nejde instalovat
« Odpověď #5 kdy: Listopad 11, 2011, 19:41:47 »
I po odebrání pts repozitáře tam zůstává nějaký balíček libpng12_0-2:1.2.46-4pts1.i586. Nechal by se odstranit? K čemu slouží?

Konzole
[root@Mageia_DuoCORE tom]# urpmi --update --auto-update
zdroj "Core Updates" je aktuální
zdroj "Nonfree Updates" je aktuální
Balíčky jsou aktuální
[root@Mageia_DuoCORE tom]# urpmi wine
Aby byly splněny závislosti, budou nainstalovány následující balíčky:
   Balíček                        Verze        Vydání        Arch.
(zdroj "Core Release")
  libopenal1                     1.12.854     3.mga1        i586
  openal                         1.12.854     3.mga1        i586
  sane-frontends                 1.0.14       11.mga1       i586    (navrhováno)
  wine                           1.3.20       2.mga1        i586
  wine-gecko                     1.2.0        1.mga1        i586    (navrhováno)
  wine32                         1.3.20       2.mga1        i586
(zdroj "Core Updates")
  libpng3                        1.2.46       1.mga1        i586
Navíc bude použito 107MB diskového prostoru.
Bude staženo 24MB balíčků.
Pokračovat v instalaci 7 balíčků? (A/n) A


instaluji openal-1.12.854-3.mga1.i586.rpm wine32-1.3.20-2.mga1.i586.rpm libpng3-1.2.46-1.mga1.i586.rpm libopenal1-1.12.854-3.mga1.i586.rpm sane-frontends-1.0.14-11.mga1.i586.rpm wine-1.3.20-2.mga1.i586.rpm wine-gecko-1.2.0-1.mga1.i586.rpm z /var/cache/urpmi/rpms
Připravuji...                    #############################################
Instalace selhala:      soubor /usr/lib/libpng12.so.0.46.0 z instalace libpng3-2:1.2.46-1.mga1.i586 koliduje se souborem z balíčku libpng12_0-2:1.2.46-4pts1.i586
[root@Mageia_DuoCORE tom]#


 
NtB:Lenovo ThinkPad Edge E530 3259-AMG, Mageia 6, 64 bit, KDE Plasma,
Desktop: DualCore E8400 3GHz, 4GB RAM, GK Nvidia GF 8500GT 256MB 128bit, Mageia 6, 64 bit, KDE Plasma

Peťoš

  • Administrator
  • Hero Member
  • *****
  • Příspěvků: 916
  • Karma: +17/-2
    • Zobrazit profil
    • Peťošův blog
Re:Wine nejde instalovat
« Odpověď #6 kdy: Listopad 11, 2011, 19:55:25 »
Resil jsem to cely den. Problem opravdu dela knihovna lib{,64}png12 a 15. Problem vznikl ve chvili, kdy jsem vytvoril RPM s libpng12 a libpng15. Bohuzel dane knihovny se po case objevily v ramci oficialni aktualizace -- a objevily se problemy. Postup je nasledujici:

Kód: [Vybrat]
rpm -qa | grep png1
melo by to vypsat lib{64}png12 a/nebo lib{64}png15. Vsechny je nutne odebrat ze systemu. Balicky s -devel je mozne odebrat pomoci urpme.
libpng12_0 a libpng15 je nutne odebrat prikazem
Kód: [Vybrat]
rpm -e --nodeps jmeno_knihovny(ackoli to predpokladam jako samozrejme, je nutne nahradit jmeno_knihovny jmenem balicku lib{64}png12 a lib{64}png15.
NEodebirejte lib{64}png3!!!
Do it or do not. There is no "try".
Nutné čtení pro všehny! Jak se ptát na fóru: http://wiki.mageia.cz/wiki:jak_se_ptat_na_foru

fantomorous

  • Full Member
  • ***
  • Příspěvků: 202
  • Karma: +4/-0
    • Zobrazit profil
    • digitemp
Re:Wine nejde instalovat
« Odpověď #7 kdy: Listopad 11, 2011, 20:10:22 »
Udělal jsem :
[root@Mageia_DuoCORE tom]# rpm -qa | grep png1
libpng12_0-1.2.46-4pts1
[root@Mageia_DuoCORE tom]# rpm -e --nodeps libpng12_0-1.2.46-4pts1
[root@Mageia_DuoCORE tom]#


Žádné balíčky s devel jsem neodstraňoval. Spustil jsem instalaci, proběhla ok.
Děkuju Ti,  přeju hodně trpělivosti...
NtB:Lenovo ThinkPad Edge E530 3259-AMG, Mageia 6, 64 bit, KDE Plasma,
Desktop: DualCore E8400 3GHz, 4GB RAM, GK Nvidia GF 8500GT 256MB 128bit, Mageia 6, 64 bit, KDE Plasma

_dworkin

  • Host
Re:Wine nejde instalovat
« Odpověď #8 kdy: Únor 19, 2012, 13:27:34 »
Diky, mel jsem stejny problem s lib64png12_0-2:1.2.46-4pts1.x86_64, pri pokusu o odinstalaci pomoci gurpmi to chtelo odberat pulku mandrivy. rpm -e --nodeps lib64png12_0 zabral.

Kód: [Vybrat]
[root@localhost Cecko]# urpmi qt4-designer
Aby byly splněny závislosti, budou nainstalovány následující balíčky:
   Balíček                        Verze        Vydání        Arch. 
(zdroj "Core Updates (distrib3)")
  lib64phononexperimental4       4.5.1        1.mga1        x86_64 
  lib64png-devel                 1.2.46       1.mga1        x86_64 
  lib64png3                      1.2.46       1.mga1        x86_64 
  lib64qt4-devel                 4.7.4        1.2.mga1      x86_64 
  lib64qtscripttools4            4.7.4        1.2.mga1      x86_64 
  phonon-devel                   4.5.1        1.mga1        x86_64 
  qt4-designer                   4.7.4        1.2.mga1      x86_64 
  qt4-designer-plugin-qt3support 4.7.4        1.2.mga1      x86_64 
  qt4-designer-plugin-webkit     4.7.4        1.2.mga1      x86_64 
  qt4-qtconfig                   4.7.4        1.2.mga1      x86_64 
Navíc bude použito 44MB diskového prostoru.
Bude staženo 7.2MB balíčků.
Pokračovat v instalaci 10 balíčků? (A/n) a


instaluji lib64qtscripttools4-4.7.4-1.2.mga1.x86_64.rpm qt4-designer-plugin-webkit-4.7.4-1.2.mga1.x86_64.rpm lib64phononexperimental4-4.5.1-1.mga1.x86_64.rpm qt4-qtconfig-4.7.4-1.2.mga1.x86_64.rpm lib64png-devel-1.2.46-1.mga1.x86_64.rpm lib64png3-1.2.46-1.mga1.x86_64.rpm phonon-devel-4.5.1-1.mga1.x86_64.rpm lib64qt4-devel-4.7.4-1.2.mga1.x86_64.rpm qt4-designer-plugin-qt3support-4.7.4-1.2.mga1.x86_64.rpm z /var/cache/urpmi/rpms
Připravuji...                    #############################################


instaluji qt4-designer-4.7.4-1.2.mga1.x86_64.rpm z /var/cache/urpmi/rpms
Instalace selhala: soubor /usr/lib64/libpng12.so.0.46.0 z instalace lib64png3-2:1.2.46-1.mga1.x86_64 koliduje se souborem z balíčku lib64png12_0-2:1.2.46-4pts1.x86_64
lib64qt4-devel = 4:4.7.4 je potřeba pro qt4-designer-4:4.7.4-1.2.mga1.x86_64
[root@localhost Cecko]# rpm -qa | grep png1
lib64png12_0-1.2.46-4pts1
lib64glpng1-1.45-5.2.mga1
lib64png15_15-1.5.5-2pts1
[root@localhost Cecko]# rpm -e --nodeps lib64png12_0
[root@localhost Cecko]# urpmi qt4-designer
Aby byly splněny závislosti, budou nainstalovány následující balíčky:
   Balíček                        Verze        Vydání        Arch. 
(zdroj "Core Updates (distrib3)")
  lib64phononexperimental4       4.5.1        1.mga1        x86_64 
  lib64png-devel                 1.2.46       1.mga1        x86_64 
  lib64png3                      1.2.46       1.mga1        x86_64 
  lib64qt4-devel                 4.7.4        1.2.mga1      x86_64 
  lib64qtscripttools4            4.7.4        1.2.mga1      x86_64 
  phonon-devel                   4.5.1        1.mga1        x86_64 
  qt4-designer                   4.7.4        1.2.mga1      x86_64 
  qt4-designer-plugin-qt3support 4.7.4        1.2.mga1      x86_64 
  qt4-designer-plugin-webkit     4.7.4        1.2.mga1      x86_64 
  qt4-qtconfig                   4.7.4        1.2.mga1      x86_64 
Navíc bude použito 44MB diskového prostoru.
Bude staženo 7.2MB balíčků.
Pokračovat v instalaci 10 balíčků? (A/n) a


instaluji lib64qtscripttools4-4.7.4-1.2.mga1.x86_64.rpm qt4-designer-plugin-webkit-4.7.4-1.2.mga1.x86_64.rpm lib64phononexperimental4-4.5.1-1.mga1.x86_64.rpm qt4-qtconfig-4.7.4-1.2.mga1.x86_64.rpm lib64png-devel-1.2.46-1.mga1.x86_64.rpm lib64png3-1.2.46-1.mga1.x86_64.rpm phonon-devel-4.5.1-1.mga1.x86_64.rpm lib64qt4-devel-4.7.4-1.2.mga1.x86_64.rpm qt4-designer-plugin-qt3support-4.7.4-1.2.mga1.x86_64.rpm z /var/cache/urpmi/rpms
Připravuji...                    #############################################
     1/10: qt4-designer-plugin-qt3support
                                 #############################################
     2/10: lib64png3             #############################################
     3/10: lib64png-devel        #############################################
     4/10: qt4-qtconfig          #############################################
     5/10: lib64phononexperimental4
                                 #############################################
     6/10: qt4-designer-plugin-webkit
                                 #############################################
     7/10: lib64qtscripttools4   #############################################
     8/10: phonon-devel          #############################################
     9/10: lib64qt4-devel        #############################################


instaluji qt4-designer-4.7.4-1.2.mga1.x86_64.rpm z /var/cache/urpmi/rpms
Připravuji...                    #############################################
    10/10: qt4-designer          #############################################
[root@localhost Cecko]#